### Function

# ECal ComponentOrganizer new_full

since: 3.34

#### Declaration [src]

    ECalComponentOrganizer*
    e_cal_component_organizer_new_full (
      const gchar* value,
      const gchar* sentby,
      const gchar* cn,
      const gchar* language
    )

#### Description [src]

Creates a new `ECalComponentOrganizer` structure, with all members filled with given values from the parameters. The `NULL` and empty strings are treated as unset the value. Free the structure with e_cal_component_organizer_free(), when no longer needed.

Available since: 3.34

#### Parameters

`value`

  Type: `const gchar*`

  Usually a “mailto:email” of the organizer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`sentby`

  Type: `const gchar*`

  Sent by.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cn`

  Type: `const gchar*`

  Common name.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`language`

  Type: `const gchar*`

  Language.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ECalComponentOrganizer`

A newly allocated `ECalComponentOrganizer`.

The caller of the function takes ownership of the data, and is responsible for freeing it.